> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Transactions



## OpenAPI

````yaml /api-reference/openapi.json get /transactions/deposits/me
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /transactions/deposits/me:
    get:
      tags:
        - Transactions
      summary: Get Deposit Transactions
      parameters:
        - name: status
          in: query
          schema:
            type: string
          example: PENDING
        - name: currencyId
          in: query
          schema:
            type: string
          example: 588d87de-c35a-4030-ad54-bd0ae02af3ff
        - name: page
          in: query
          schema:
            type: integer
          example: '1'
        - name: pageSize
          in: query
          schema:
            type: integer
          example: '30'
        - name: startDate
          in: query
          schema:
            type: string
          example: '2025-11-01'
        - name: endDate
          in: query
          schema:
            type: string
          example: '2025-12-01'
        - name: X-API-KEY
          in: header
          schema:
            type: string
          example: 9e1eb76f69684e2eb1004f15fe524c18
        - name: X-API-TIMESTAMP
          in: header
          schema:
            type: integer
          example: '1761304867385'
        - name: X-API-SIGNATURE
          in: header
          schema:
            type: string
          example: d357b8bd87a1bd43dba61d1930108b98dbc4a3873a21e92c19e70ed3e15938df
      responses:
        '200':
          description: Get Deposit Transactions
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        active:
                          type: boolean
                        reference:
                          type: string
                        description:
                          type: string
                        narration:
                          nullable: true
                        type:
                          type: string
                        category:
                          type: string
                        amount:
                          type: number
                        walletId:
                          type: string
                        wallet:
                          type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            active:
                              type: boolean
                            availableBalance:
                              type: number
                            pendingBalance:
                              type: integer
                            pendingSwapBalance:
                              type: integer
                            lockedBalance:
                              type: integer
                            userId:
                              type: string
                            currencyId:
                              type: string
                            p2pBalance:
                              type: integer
                            currency:
                              type: object
                              properties:
                                id:
                                  type: string
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                                active:
                                  type: boolean
                                name:
                                  type: string
                                code:
                                  type: string
                                exchangeCode:
                                  nullable: true
                                leverageBaseCurrencyCode:
                                  nullable: true
                                leverageMultipler:
                                  nullable: true
                                receivable:
                                  type: boolean
                                withdrawable:
                                  type: boolean
                                transferrable:
                                  type: boolean
                                minimumWithdrawal:
                                  type: integer
                                minimumDeposit:
                                  type: number
                                maximumDecimalPlaces:
                                  type: integer
                                withdrawalFee:
                                  type: integer
                                receiveFee:
                                  type: integer
                                type:
                                  type: string
                                leverageType:
                                  nullable: true
                                receiveFeeType:
                                  type: string
                                withdrawalFeeType:
                                  type: string
                                maximumWithdrawalFee:
                                  type: integer
                                allowUtilityPayments:
                                  type: boolean
                                allowUnconfirmedTrading:
                                  type: boolean
                                allowVirtualCardTransactions:
                                  type: boolean
                                enableWithdrawalApproval:
                                  type: boolean
                            user:
                              type: object
                              properties:
                                id:
                                  type: string
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                                active:
                                  type: boolean
                                profilePicture:
                                  nullable: true
                                firstName:
                                  type: string
                                lastName:
                                  type: string
                                email:
                                  type: string
                                  format: email
                                username:
                                  type: string
                                referralCode:
                                  type: string
                                isEmailVerified:
                                  type: boolean
                                twoFactorEnabled:
                                  type: boolean
                                isKYCLevelOneVerified:
                                  type: boolean
                                isKYCLevelTwoVerified:
                                  type: boolean
                                isKYCLevelThreeVerified:
                                  type: boolean
                                kycLevelTwoStatus:
                                  type: string
                                isBVNVerified:
                                  type: boolean
                                dateOfBirth:
                                  type: string
                                  format: date-time
                                lastLogin:
                                  type: string
                                  format: date-time
                                countryCode:
                                  type: string
                                phoneNumber:
                                  type: string
                                  format: utc-millisec
                                bvnPhoneNumber:
                                  type: string
                                  format: utc-millisec
                                phoneCountryCode:
                                  type: string
                                  format: color
                                residenceCountryCode:
                                  nullable: true
                                legalName:
                                  nullable: true
                                sourceOfIncome:
                                  nullable: true
                                enableWithdrawal:
                                  type: boolean
                                enableTransfer:
                                  type: boolean
                                enablePasswordReset:
                                  type: boolean
                                enableTrading:
                                  type: boolean
                                enableWithdrawalApproval:
                                  type: boolean
                                enableUnconfirmedTrading:
                                  type: boolean
                                failedLoginAttempts:
                                  type: integer
                                nextLoginAt:
                                  nullable: true
                                role:
                                  type: string
                                isBroker:
                                  type: boolean
                                brokerWebhookUrl:
                                  type: string
                                  format: uri
                                enableP2PTrading:
                                  type: boolean
                                accountDeletionReason:
                                  nullable: true
                                deletedAt:
                                  nullable: true
                                appsFlyerId:
                                  type: string
                                accountType:
                                  type: string
                                hasPin:
                                  type: boolean
                                actorId:
                                  type: string
                            totalSwappableBalance:
                              type: number
                            totalPendingBalance:
                              type: integer
                        deposit:
                          type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            active:
                              type: boolean
                            hash:
                              type: string
                            network:
                              type: string
                            dollarRate:
                              type: number
                            status:
                              type: string
                            fee:
                              type: integer
                            sourceAddresses:
                              type: array
                              items: {}
                            transactionId:
                              type: string
                            externalTxId:
                              nullable: true
                            explorerLink:
                              nullable: true
                            destinationAddress:
                              type: string
                              format: utc-millisec
                  meta:
                    type: object
                    properties:
                      perPage:
                        type: integer
                      total:
                        type: integer
                      count:
                        type: integer
                      currentPage:
                        type: integer
                      totalPages:
                        type: integer
              example:
                message: Ok
                data:
                  - id: f9191d10-27ff-4408-87ed-0bc52c1c8d00
                    createdAt: '2023-12-08T11:44:52.970Z'
                    updatedAt: '2023-12-08T11:44:52.970Z'
                    active: true
                    reference: IN1702039492969
                    description: Received 0.99996 ETH
                    narration: null
                    type: CREDIT
                    category: DEPOSIT
                    amount: 0.99996
                    walletId: 82609d2c-dab1-4957-aeca-0d5db37f8597
                    wallet:
                      id: 82609d2c-dab1-4957-aeca-0d5db37f8597
                      createdAt: '2023-04-06T18:32:26.252Z'
                      updatedAt: '2025-05-30T01:49:36.559Z'
                      active: true
                      availableBalance: 0.85039158
                      pendingBalance: 0
                      pendingSwapBalance: 0
                      lockedBalance: 0
                      userId: dccc3940-eade-43cb-a4bc-369cd22006db
                      currencyId: 588d87de-c35a-4030-ad54-bd0ae02af3ff
                      p2pBalance: 0
                      currency:
                        id: 588d87de-c35a-4030-ad54-bd0ae02af3ff
                        createdAt: '2021-11-22T09:16:50.816Z'
                        updatedAt: '2023-10-20T05:05:53.228Z'
                        active: true
                        name: Ethereum
                        code: ETH
                        exchangeCode: null
                        leverageBaseCurrencyCode: null
                        leverageMultipler: null
                        receivable: true
                        withdrawable: true
                        transferrable: true
                        minimumWithdrawal: 0
                        minimumDeposit: 0.0001
                        maximumDecimalPlaces: 8
                        withdrawalFee: 0
                        receiveFee: 0
                        type: CRYPTO
                        leverageType: null
                        receiveFeeType: PERCENTAGE
                        withdrawalFeeType: PERCENTAGE
                        maximumWithdrawalFee: 0
                        allowUtilityPayments: false
                        allowUnconfirmedTrading: true
                        allowVirtualCardTransactions: false
                        enableWithdrawalApproval: false
                    deposit:
                      id: b473a1e0-e27b-4435-b090-9fcedf2f1b11
                      createdAt: '2023-12-08T11:44:52.970Z'
                      updatedAt: '2023-12-08T11:44:52.970Z'
                      active: true
                      hash: IN1702039492969
                      network: ETH
                      dollarRate: 2366.48
                      status: CONFIRMED
                      fee: 0
                      transactionId: f9191d10-27ff-4408-87ed-0bc52c1c8d00
                      destinationAddress: '0x600DA8a6cC920FC452C944c03c37f7b026E8fd1c'
                meta:
                  perPage: 30
                  total: 1
                  count: 1
                  currentPage: 1
                  totalPages: 1

````